/*---------------------------------------------------------------------------*/

/*!  \file  iofiles.c
     \brief  input / output files.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007,2008 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#include "common.h"

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include "xmalloc.h"
#include "iofiles.h"

/*---------------------------------------------------------------------------*/
simulation_iofiles *allocate_simulation_iofiles(void)
{
    simulation_iofiles *iofiles;

    iofiles = xmalloc(sizeof(simulation_iofiles));

    iofiles->position_output = NULL;
/*     iofiles->force_output = NULL; */
    iofiles->stress_output = NULL;
    iofiles->energy_output = NULL;
    iofiles->geometry_output = NULL;
    iofiles->dx_output = NULL;

    iofiles->position_template = NULL;
/*     iofiles->force_template = NULL; */
    iofiles->stress_template = NULL;
    iofiles->energy_template = NULL;
    iofiles->geometry_template = NULL;
    iofiles->dx_template = NULL;

    return iofiles;
}

/*---------------------------------------------------------------------------*/
void free_simulation_iofiles(simulation_iofiles *iofiles)
{
    free(iofiles->position_output);
/*     free(iofiles->force_output); */
    free(iofiles->stress_output);
    free(iofiles->energy_output);
    free(iofiles->geometry_output);
    free(iofiles->dx_output);

    free(iofiles->position_template);
/*     free(iofiles->force_template); */
    free(iofiles->stress_template);
    free(iofiles->energy_template);
    free(iofiles->geometry_template);
    free(iofiles->dx_template);

    free(iofiles);
}

/*---------------------------------------------------------------------------*/
