/*---------------------------------------------------------------------------*/

/*!  \file  luaread.h
     \brief  read input Lua file for the simulator  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007,2008 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_LUAREAD_H
#define INCLUDE_LUAREAD_H

#include "condition.h"
#include "iofiles.h"
#include "geometry.h"
#include "blend.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  read data from input Lua file.
     \param  condition  simulation condition
     \param  iofiles  simulation iofiles
     \param  geometry  geometry of the box
     \param  blend  polymer blend  */
void read_input_lua(char *input_lua,simulation_condition **condition,
                    simulation_iofiles **iofiles,box_geometry **geometry,
                    polymer_blend **blend);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
